Subject: Re: What's cooking in git.git (Sep 2013, #07; Mon, 23)

From: Jonathan Nieder <[email-masked]>
Date: Mon, 23 Sep 2013 14:44:23 -0700

Stefan Beller wrote:
> On 09/23/2013 11:10 PM, Jonathan Nieder wrote:

>>     https://repo.or.cz/r/git/jrn.git
[...]
> How would I get these changes?
> A plain 
> 	git fetch https://repo.or.cz/r/git/jrn.git
> doesn't work, as it yields:
> fatal: unable to access 'https://repo.or.cz/r/git/jrn.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none

Thanks for noticing.  Hm, I'll bug the repo.or.cz admins about this.

The URL

	git://repo.or.cz/git/jrn.git

should work for access by git protocol.  Web interface:
http://repo.or.cz/w/git/jrn.git

> So I'll try without security:
> 	$ env GIT_SSL_NO_VERIFY=true git fetch https://repo.or.cz/r/git/jrn.git
> 	fatal: Couldn't find remote ref HEAD

Fixed, thanks.  (I had left HEAD pointing to branch that doesn't
exist any more.)

Jonathan